Package twisted :: Package python :: Module components :: Class MetaInterface

[frames | no frames]

## Class MetaInterface

    type --+
           |
          MetaInterface

Method Summary
| ``__call__`(self, adaptable, default, persist, registry)` Try to adapt `adaptable' to self; return `default' if it was passed, otherwise raise `CannotAdapt`.
Inherited from type
| `__cmp__(...)`
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__new__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__subclasses__(...)`
| `mro(...)`
Inherited from object
| `__init__(...)`
| `__reduce__(...)`
| `__str__(...)`

Method Details

### __call__(self, adaptable, default=<class twisted.python.components._Nothing at 0x8199e3c>, persist=None, registry=None)
(Call operator)

Try to adapt `adaptable' to self; return `default' if it was passed, otherwise raise `CannotAdapt`.

  Overrides:
    `__builtin__.type.__call__`

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net